Operations - List
Lists the available ServiceLinker REST API operations.
GET https://management.azure.com/providers/Microsoft.ServiceLinker/operations?api-version=2022-11-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The request has succeeded. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
GetConfiguration
Sample request
Sample response
{
"value": [
{
"display": {
"description": "Register the subscription for Microsoft.ServiceLinker",
"operation": "Register the Microsoft.ServiceLinker",
"provider": "Microsoft.ServiceLinker",
"resource": "Microsoft.ServiceLinker"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/register/action"
},
{
"display": {
"description": "Unregister the subscription for Microsoft.ServiceLinker",
"operation": "Unregister the Microsoft.ServiceLinker",
"provider": "Microsoft.ServiceLinker",
"resource": "Microsoft.ServiceLinker"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/unregister/action"
},
{
"display": {
"description": "read operations",
"operation": "read_operations",
"provider": "Microsoft.ServiceLinker",
"resource": "operations"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/operations/read"
},
{
"display": {
"description": "list dryrun jobs",
"operation": "Dryrun_List",
"provider": "Microsoft.ServiceLinker",
"resource": "dryruns"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/dryruns/read"
},
{
"display": {
"description": "get a dryrun job",
"operation": "Dryrun_Get",
"provider": "Microsoft.ServiceLinker",
"resource": "dryruns"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/dryruns/read"
},
{
"display": {
"description": "create a dryrun job to do necessary check before actual creation",
"operation": "Dryrun_Create",
"provider": "Microsoft.ServiceLinker",
"resource": "dryruns"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/dryruns/write"
},
{
"display": {
"description": "delete a dryrun job",
"operation": "Dryrun_Delete",
"provider": "Microsoft.ServiceLinker",
"resource": "dryruns"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/dryruns/delete"
},
{
"display": {
"description": "add a dryrun job to do necessary check before actual creation",
"operation": "Dryrun_Update",
"provider": "Microsoft.ServiceLinker",
"resource": "dryruns"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/dryruns/write"
},
{
"display": {
"description": "read operationStatuses",
"operation": "read_operationStatuses",
"provider": "Microsoft.ServiceLinker",
"resource": "locations/operationStatuses"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/locations/operationStatuses/read"
},
{
"display": {
"description": "write operationStatuses",
"operation": "write_operationStatuses",
"provider": "Microsoft.ServiceLinker",
"resource": "locations/operationStatuses"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/locations/operationStatuses/write"
},
{
"display": {
"description": "Returns list of Linkers which connects to the resource.",
"operation": "Linker_List",
"provider": "Microsoft.ServiceLinker",
"resource": "linkers"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/linkers/read"
},
{
"display": {
"description": "Returns Linker resource for a given name.",
"operation": "Linker_Get",
"provider": "Microsoft.ServiceLinker",
"resource": "linkers"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/linkers/read"
},
{
"display": {
"description": "Create or update linker resource.",
"operation": "Linker_CreateOrUpdate",
"provider": "Microsoft.ServiceLinker",
"resource": "linkers"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/linkers/write"
},
{
"display": {
"description": "Delete a link.",
"operation": "Linker_Delete",
"provider": "Microsoft.ServiceLinker",
"resource": "linkers"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/linkers/delete"
},
{
"display": {
"description": "Operation to update an existing link.",
"operation": "Linker_Update",
"provider": "Microsoft.ServiceLinker",
"resource": "linkers"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/linkers/write"
},
{
"display": {
"description": "Validate a link.",
"operation": "Linker_Validate",
"provider": "Microsoft.ServiceLinker",
"resource": "linkers"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/linkers/validateLinker/action"
},
{
"display": {
"description": "list source configurations for a linker.",
"operation": "Linker_ListConfigurations",
"provider": "Microsoft.ServiceLinker",
"resource": "linkers"
},
"isDataAction": false,
"name": "Microsoft.ServiceLinker/linkers/listConfigurations/action"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Action |
Indicates how to apply the connector operations, such as opt out network configuration, opt in configuration. |
| Display |
Localized display information for this particular operation. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
| Operation |
REST API Operation |
|
Operation |
A list of REST API operations supported by an Azure Resource Provider. It contains an URL link to get the next set of results. |
| Origin |
The intended executor of the operation; as in Resource Based Access Control (RBAC) and audit logs UX. Default value is "user,system" |
ActionType
Indicates how to apply the connector operations, such as opt out network configuration, opt in configuration.
| Value | Description |
|---|---|
| enable | |
| optOut |
Display
Localized display information for this particular operation.
| Name | Type | Description |
|---|---|---|
| description |
string |
The short, localized friendly description of the operation; suitable for tool tips and detailed views. |
| operation |
string |
The concise, localized friendly name for the operation; suitable for dropdowns. E.g. "Create or Update Virtual Machine", "Restart Virtual Machine". |
| provider |
string |
The localized friendly form of the resource provider name, e.g. "Microsoft Monitoring Insights" or "Microsoft Compute". |
| resource |
string |
The localized friendly name of the resource type related to this operation. E.g. "Virtual Machines" or "Job Schedule Collections". |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
Operation
REST API Operation
| Name | Type | Description |
|---|---|---|
| actionType |
Enum. Indicates the action type. "Internal" refers to actions that are for internal only APIs. |
|
| display |
Localized display information for this particular operation. |
|
| isDataAction |
boolean |
Whether the operation applies to data-plane. This is "true" for data-plane operations and "false" for ARM/control-plane operations. |
| name |
string |
The name of the operation, as per Resource-Based Access Control (RBAC). Examples: "Microsoft.Compute/virtualMachines/write", "Microsoft.Compute/virtualMachines/capture/action" |
| origin |
The intended executor of the operation; as in Resource Based Access Control (RBAC) and audit logs UX. Default value is "user,system" |
OperationListResult
A list of REST API operations supported by an Azure Resource Provider. It contains an URL link to get the next set of results.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
URL to get the next set of operation list results (if there are any). |
| value |
List of operations supported by the resource provider |
Origin
The intended executor of the operation; as in Resource Based Access Control (RBAC) and audit logs UX. Default value is "user,system"
| Value | Description |
|---|---|
| user | |
| system | |
| user,system |